com.ziclix.python.sql

## Class FilterDataHandler

- java.lang.Object
- - com.ziclix.python.sql.DataHandler
  - - com.ziclix.python.sql.FilterDataHandler

Direct Known Subclasses:
  JDBC20DataHandler, JDBC30DataHandler

    public abstract class FilterDataHandler
    extends DataHandler

A FilterDataHandler contains some other DataHandler, which it uses as its basic source of functionality, possibly transforming the calls along the way or providing additional functionality. The class FilterDataHandler itself simply overrides all methods of DataHandler with versions that pass all requests to the contained data handler.

Author:
  brian zimmer

### Constructor Summary

Constructors
Constructor and Description
`FilterDataHandler(DataHandler delegate)` Constructor FilterDataHandler

### Method Summary

Methods
`PyObject` `__chain__()` Returns a list of datahandlers chained together through the use of delegation.
`PyObject` `getPyObject(java.sql.ResultSet set, int col, int type)` Method getPyObject
`PyObject` `getRowId(java.sql.Statement stmt)` Returns the row id of the last executed statement.
`void` `postExecute(java.sql.Statement stmt)` Method postExecute
`void` `preExecute(java.sql.Statement stmt)` Method preExecute
`void` `setJDBCObject(java.sql.PreparedStatement stmt, int index, PyObject object)` Method setJDBCObject
`void` `setJDBCObject(java.sql.PreparedStatement stmt, int index, PyObject object, int type)` Method setJDBCObject

### Methods inherited from class com.ziclix.python.sql.DataHandler

`checkNull, getMetaDataName, getProcedure, getPyObject, getSystemDataHandler, read, read, registerOut, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### FilterDataHandler

    public FilterDataHandler(DataHandler delegate)

Constructor FilterDataHandler

Parameters:
  `delegate` -

### Method Detail

#### getRowId

    public PyObject getRowId(java.sql.Statement stmt)
                      throws java.sql.SQLException

Returns the row id of the last executed statement.

Overrides:
  `getRowId` in class `DataHandler`
Parameters:
  `stmt` -
Returns:
  PyObject
Throws:
  `java.sql.SQLException`

#### preExecute

    public void preExecute(java.sql.Statement stmt)
                    throws java.sql.SQLException

Method preExecute

Overrides:
  `preExecute` in class `DataHandler`
Parameters:
  `stmt` -
Throws:
  `java.sql.SQLException`

#### postExecute

    public void postExecute(java.sql.Statement stmt)
                     throws java.sql.SQLException

Method postExecute

Overrides:
  `postExecute` in class `DataHandler`
Parameters:
  `stmt` -
Throws:
  `java.sql.SQLException`

#### setJDBCObject

    public void setJDBCObject(java.sql.PreparedStatement stmt,
                     int index,
                     PyObject object)
                       throws java.sql.SQLException

Method setJDBCObject

Overrides:
  `setJDBCObject` in class `DataHandler`
Parameters:
  `stmt` -
  `index` -
  `object` -
Throws:
  `java.sql.SQLException`

#### setJDBCObject

    public void setJDBCObject(java.sql.PreparedStatement stmt,
                     int index,
                     PyObject object,
                     int type)
                       throws java.sql.SQLException

Method setJDBCObject

Overrides:
  `setJDBCObject` in class `DataHandler`
Parameters:
  `stmt` -
  `index` -
  `object` -
  `type` -
Throws:
  `java.sql.SQLException`

#### getPyObject

    public PyObject getPyObject(java.sql.ResultSet set,
                       int col,
                       int type)
                         throws java.sql.SQLException

Method getPyObject

Overrides:
  `getPyObject` in class `DataHandler`
Parameters:
  `set` -
  `col` -
  `type` -
Returns:
  PyObject
Throws:
  `java.sql.SQLException`

#### __chain__

    public PyObject __chain__()

Returns a list of datahandlers chained together through the use of delegation.

Overrides:
  `__chain__` in class `DataHandler`
Returns:
  a list of datahandlers chained together through the use of delegation